Välkommen till linuxportalen.se!

Linuxportalen.se är Sveriges största och aktivaste webbplats för användare av öppen- och fri programvara.

Du besöker Linuxportalen.se som gäst vilket begränsar din möjlighet att använda webbplatsens alla funktioner. Genom att registera dig som medlem får du inte bara möjlighet att söka bland webbplatsens innehåll, skapa nya och delta i befintliga diskussioner, skapa din egen blogg, kommunicera med andra medlemmar genom privata meddelanden och delta i omröstningar. Du får också tillgång till Veckans Kadavro - en seriestrip unikt skapad för Linuxportalen.se!

Registeringen sker snabbt och är helt kostnadsfri - tveka inte, bli medlem idag!

Skype och Mint8/Ubuntu9.10

Jag provade idag att installera Skype på Mint 8.  Egentligen finns Skype med i Mint:s programhanterare, men den är markerad gul! Något skumt är det, för att det händer inte heller någonting när man försöket installera den.   (Jag börjar tro att paketet är markerat gult=onormalt? med avsikt)

Nåväl det går ju att ta hem Linuxversionen av Skype direkt från Skypes hemsida. Det är en betaversion som heter 2.1.0.81. Den gick  utmärkt att installera, men den funkar inte.  Mikrofonen fungerar inte.

"Felet" verkar egentligen bestå av två fel.  Det ena felet är själva Skype som inte vill koppla ihop sig med mixern på rätt sätt när det gäller mikrofonen.  Jag kan lyssna och kameran funkar åxå.

Det andra felet är mick-förstärkaren i Ubuntu-Linux.  Den är behäftad med fasfel mellan de båda mikrofonkanalerna!!

Har man EN mikrofon måste man dra ned ljudet på ena kanalen, det spelar ingen roll vilken, för att kanalerna inte skall ta ut varandra!!  :O  Det finns en buggrapport på detta - men det verkar inte som man accepterat att felet verkligen är ett fasfel. (https://bugs.launchpad.net/ubuntu/+bug/331130)

Jag kan alltså få igång både extern och inbyggd mick så att jag ser utslag på "VU-mätarna".   Men felet i Skype gör att ljudet inte kopplas ihop med Skype på rätt sätt.

Jag lyckades få igång det en stund med den externa micken men efter att ha labbat med att få igång den inbyggda kunde jag aldrig komma tillbaka till fungerande extern mikrofon.  Sad

Trots återgång till samma inställningar. Någon som har lyckats bättre eller har idéer vad som går att göra?

 

 

 

 

 

 

 

Alternativ för kommentarvisning

Välj ditt önskade sätt att visa kommentarerna och klicka på "Spara" för att verkställa dina ändringar.

tomasuus bild

 Jag har också problem med skype i ubuntu 9.10 

Skype har fungerat bättre i andra och äldre distributioner.Tacksam om någon har en lösning. Vet flera andra som också har problem med skype. Har googlat och testat lite olika förslag på lösningar men inget verkar fungera Sad

Lyfangs bild

 Provade du

sudo apt-get update
sudo apt-get upgrade

efter du installerat Skype från Mint:s programhanterare?

Jag kör med Ubuntu 8.04.4, gick in på http://www.skype.com/intl/sv/download/skype/linux/choose/ och såg de hade stöd för:

Ubuntu 8.10+ 32-bit

Ubuntu 8.10+ 64-bit

Debian Lenny

Fedora 10+

OpenSUSE 11+

Dynamic

Static

Undrar om Ubuntu 8.10+ skulle fungera? Eller kanske det fungerar med Windows versionen i Wine?

/ Lyfang

tux-svens bild

Mints programhanterare hanterar INTE Skype-paketet för närvarande. Jag har istället installerat Skype-versionen "Ubuntu 8.10+ 32-bit"  Jag kan använda intern och extern mik för att göra "ljud-recordings" men inte för att få ut ljud på Skype.  Sad

---

Windows are for houses, Linux is for computers!

 

Lyfangs bild

Kan man avinstallera Ubuntu 8.10+ versionen med Synaptic i Ubuntu 8.04.4?

FoHs bild

Det ska du kunna. Söker du på Skype ska den dyka upp.

Lyfangs bild

skype-ubuntu-intrepid_2.1.0.81-1_i386.deb behöver beroende libasound2, den finns installerad i Synaptic men den klagar på libasound2 ändå. Använder Ubuntu 8.04.4

tux-svens bild

Är det rätt version?  Så här ser mjukvarukraven ut:

  • Qt 4.2.1+
  • D-Bus 1.0.0
  • libasound2 1.0.12
  • PulseAudio 0.9.10+ (valfritt)
  • PulseAudio 0.9.15+ (valfritt, rekommenderas)

---

Windows are for houses, Linux is for computers!

 

Lyfangs bild

Synaptic säger:

libqt4-core 4.3.4-0ubuntu3.1

dbus 1.1.20-1ubuntu3.3

libasound2 1.0.15-3ubuntu4

pulseaudio 0.9.10-1ubuntu1.1

Lyfangs bild
sudo dpkg -i skype-ubuntu-intrepid_2.1.0.81-1_i386.deb

Selecting previously deselected package skype.
(Reading database ... 179672 files and directories currently installed.)
Unpacking skype (from skype-ubuntu-intrepid_2.1.0.81-1_i386.deb) ...
dpkg: dependency problems prevent configuration of skype:
 skype depends on libasound2 (>> 1.0.17); however:
  Version of libasound2 on system is 1.0.15-3ubuntu4.
 skype depends on libgcc1 (>= 1:4.3); however:
  Version of libgcc1 on system is 1:4.2.4-1ubuntu4.
 skype depends on libqt4-dbus (>= 4.4.3); however:
  Package libqt4-dbus is not installed.
 skype depends on libqt4-network (>= 4.4.3); however:
  Package libqt4-network is not installed.
 skype depends on libqtcore4 (>= 4.4.3); however:
  Package libqtcore4 is not installed.
 skype depends on libqtgui4 (>= 4.4.3); however:
  Package libqtgui4 is not installed.
 skype depends on libstdc++6 (>= 4.3); however:
  Version of libstdc++6 on system is 4.2.4-1ubuntu4.
dpkg: error processing skype (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 skype

tux-svens bild

När jag klickar på "skype-ubuntu-intrepid_2.1.0.81-1_i386.deb" i Mint 8 öppnas paketinstalleraren. Efter några ögonblick talar paketinstalleraren om att alla beroenden är ok. Därefter är det bara att välja "Installera".  Det fungerar säkert på samma sätt i Ubuntu 9.10. 

Du visade nu ett kvitto på de beroenden som  inte stämmer i den äldre versionen av Ubuntu. Då är den saken klargjord.   Smile

---

Windows are for houses, Linux is for computers!

 

FoHs bild

Men som sagt är ju paketet för 8.10 (Intrepid). Det finns väl en anledning till att de skriver 8.10+ och inte 8.04+ Smile Endera får du uppgradera Ubuntu eller så får du försöka hitta uppdaterade paket för alla de där... vilket verkar jobbigt.

FoHs bild

Fast paketen anges ju vara för 8.10+ så det kan ju tänkas vara av just sådana anledningar.

Lyfangs bild

Fungerar att installera med skype-ubuntu-hardy_2.1.0.47-1_386.deb, undrar varför den filen inte fanns kvar på deras hemsida?

/ Lyfang

FoHs bild

Verkar vara en hel del "32-bit vs 64-bit"-problem i Skype: http://share.skype.com/sites/garage/2010/01/skype_21_beta_2_aka_talking_sc.html

Står inget uttryckligen om mikrofoner där, men kanske kan vara någon vägledning iaf. Spottar det ur sig något konstigt om du startar det via en terminal?

Sen ett annat tips som jag personligen tror en del på, är att testa att ladda hem Static-versionen från samma ställe som du laddade ned deb-paketet. Det är bara att packa upp och dubbelklicka på skype-filen så hoppar det igång (iaf för mig). Kan vara värt ett försök, då ska ju alla nödvändiga paket och grejer vara med i filen Smile

Edit: Jag har för övrigt kört Skype på skrivbordsdatorn tillsammans med en Skype-telefon, som dyker upp som en extern mikrofon och högtalare. Dock fick jag nog manuellt välja dessa enheter i Skype innan det fungerade. Har kört på laptopen också men jag törs inte säga om det var på Windows 7 eller Ubuntu.

tux-svens bild

FoH, jag ska kolla på detta.  Inget om mikrofonproblem..   Smile

Googla med sökorden "linux  skype microphone" så får du se.   Smile

EDIT:  Nu har jag avinstallerat Ubuntu-versionen, raderat .Skype, tagit hem "static" och installerat.  Jag får andå inte igång ljudet - det är precis samma sak..  Sad

Det som är så konstigt är att jag faktiskt hade ljud en kortare stund precis efter jag först installerat "Ubuntu-skypen" men jag lyckades aldrig få tillbaka det igen...    Nu lämnar jag detta därhän tills vidare.  Det är inte värt att offra mer kraft och tid på.  (Man kan exempelvis ta en skidtur istället!)  Smile

---

Windows are for houses, Linux is for computers!

 

tux-svens bild

En granne som kör Mint 7 vill att vi uppgraderar till Mint 8, men jag undrar om det inte är bättre att behålla Mint 7 (Ubuntu 9.04) om man skall få igång Skype  på den datorn??  Eller hade man behövt ha en ännu äldre version för att det skall funka?

EDIT:

Jag har sökt runt lite på nätet, det verkar som om man måste aktivera mikrofonen i ljudinställningarna bara - för att få igång det. Smile

(Tydligen står mikrofonen i Mute-läge default)

---

Windows are for houses, Linux is for computers!

 

FoHs bild

Testade att installera det på min laptop nu, som har inbyggd mikrofon i skärmen samt ett 3.5mm-uttag för extern mikrofon. Installerade via deb-paketet och det fungerade utan handpåläggning. Enda som behövdes var i att höja volymen för mikrofonen rejält (i Ubuntu 9.10 då), fast jag vet inte om jag tycker det blev så bra nivå på den ändå.

Med andra ord tror jag att det beror mindre på version av Ubuntu än på hårdvara. Möjligtvis kombinationen utifall det är en bugg i 9.10 som drabbar specifik hårdvara.

tux-svens bild

Om du skriver "alsamixer" i terminalen så öppnas ett mixerfönster.

Tabba dig fram bland regelvyerna. Du kanske behöver dra ut fönstret lite för att se alla reglar.   Där finns en regel för Mic-boost.  Det är alltså en ställbar förförstärkare till Micken.  Dra upp den lite    Smile

Jag kan köra aMSN med vilken som helst av mikrofonerna i alla fall. (förutsatt att man har en mick-volymkontroll uppe och en nere)

Jag tror åxå att den är någon kombination som gör att det spökar.  Jag har läst om väldigt många som har problem med Skype+(Ubuntu 9.10/Mint 8)+Acer Aspire One.  Sad

---

Windows are for houses, Linux is for computers!

 

FoHs bild

Har ingen mic-boost där. Den är ju boostad så långt det går från Sound Preferences dock. Kanske finns någonstans att ställa in det ytterligare i Skype också. Lite ljud blev det iaf Smile

tux-svens bild

Angående alsamixern: Det blir ingen mick-boost även om du tabbar?   Ser du hela raden med reglage?  Har du även testat det som har nämnt innan, att ha olika mycket pådrag på mick-volymreglarna då?  (Vänster-Höger)

---

Windows are for houses, Linux is for computers!

 

FoHs bild

Nej, ingen mic-boost även om jag tabbar över till Capture. Ser alla reglagen. Har dock inte testat det där med vänster-höger, det är ju en stereomikrofon av alla olika inputs som dyker upp så det kan vara värt ett försök.

Edit: Ingen lycka där heller. Och faktiskt så har jag samma låga nivå i Sound Recorder också, så man kanske kan konstatera att det helt enkelt är en dålig mikrofron?

fingal12s bild

Tux-sven, på linux mints forum hittade jag det här, kanske det sista inlägget på sidan kan vara något

http://forums.linuxmint.com/viewtopic.php?f=90&t=40411&p=236493&hilit=sk...

tux-svens bild

Tack Fingal, men jag har redan pillat på de inställningarna.  Smile

Jag kan få igång vilken av både mic1 och mic2 för "Gnomes ljudinspelare" eller för "aMSN", men däremot inte för just Skype.

---

Windows are for houses, Linux is for computers!

 

ninnas bild

Tux-Svens granne bör nog kunna ha Skype om han/hon fortfarande har Mint 7. Jag har Mint 7 KDE och Skype beta 2.1.0.47 och det fungerar bra, dvs med headsetet. Jag har ingen webkamera på min gamle lapp (Dell Latitude D610) så därom vet jag intet. Men jag är glad och nöjd ändǻ  Smile

tux-svens bild

Tack Ninna för den upplysningen!   Smile

---

Windows are for houses, Linux is for computers!

 

tux-svens bild

Jag såg på Mint-forum hur någon hade fått igång micken i Skype:

PS Also had to do this: Load a Terminal window and run commands below 

1. killall pulseaudio

2. sudo apt-get remove pulseaudio

3. sudo apt-get install esound

4. sudo rm /etc/X11/Xsession.d/70pulseaudio

5. Reboot

Det rör sig om att helt ta bort pulseaudio, vad det nu kan innebära för övriga applikationer?  Jag behöver egentigen inte Skype så det får nog vara för min del, men någon annan kanske vill prova?

---

Windows are for houses, Linux is for computers!

 

tomasuus bild

 Det där fungerar jättebra i äldre versioner av ubuntu för att kunna köra skype!!!

Men för mig fungerade det inte i ubuntu 9.10. Nu kör jag inte heller 9.10 utan Sabayon.Men har även här problem att få igång skype!

 

jontes bild

Var det inte "Linux Mint - när du vill att det skall funka direkt, utan onödigt pill!" Smile

 

-Varför inte köra ex openSuSe11.2 så funkar det! Gärna med ett ATI-grafik kort åxo Smile Skämt åsido, skulle testa själv igår pga dotter hade samma problem i skype/suse. Det var dött även på min burk men efter lite felsökning(bytte extern mic) så är allt ok med ljudet i skype.

-> Allt söder om dalälven kallas för skåne Wink

Lyfangs bild

Med Linux Mint 9 “Isadora” RC fick jag Skype mikrofonen att fungera med:

sudo lsmod
sudo modprobe snd-pcm-oss
sudo modprobe snd-mixer-oss

http://www.skype.com/intl/en-us/support/user-guides/sound-setup-linux/

Installerade alsamixergui med Programhanterare och höjde sedan volumen med Alsamixergui.

Ljudet fungerade faktisk i början med Skype, men sedan fick jag göra ovanstående. Hade installerat skype-ubuntu-intrepid_2.1.0.81-1_i386.deb

tux-svens bild

Jag har precis installerat Skype via Mint's Software Manager i Mint 9 RC.  Det fungerar direkt.

Med headsetet funkar mikrofonen direkt  - den inbyggda måste nog aktiveras i någon meny någonstans, men den dagen den sorgen. Smile

Ett klick i Software Manager för Google Earth, ett för Opera och ett för Cromium, så enkelt var det fixat. Jag tycker det är helt lysande. Laughing out loud

---

Windows are for houses, Linux is for computers!